> ## Documentation Index
> Fetch the complete documentation index at: https://docs.volubile.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Issue a bearer token

> Issues a short lived JWT Bearer token from a valid API key.




## OpenAPI

````yaml POST /v1/auth/token
openapi: 3.0.1
info:
  title: Volubile API
  version: v1
servers:
  - url: https://api.eu.volubile.ai
    description: Generated server url
security: []
paths:
  /v1/auth/token:
    post:
      tags:
        - Authentication
      summary: Generate a short lived Bearer token
      description: |
        Issues a short lived JWT Bearer token from a valid API key.
      operationId: issueToken
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AuthTokenRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthTokenResponse'
        '400':
          description: Invalid payload or unsupported scope
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Missing or invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Bearer tokens cannot be used to mint another token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: Too Many Requests
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - Api key: []
components:
  schemas:
    AuthTokenRequest:
      required:
        - scope
      type: object
      properties:
        scope:
          type: array
          description: List of scopes granted to the issued Bearer token
          items:
            type: string
            example: calls:read
            enum:
              - calls:read
              - calls:write
              - campaigns:read
              - campaigns:write
              - agents:read
              - agents:write
              - integrations:read
              - integrations:write
      description: Payload used to issue a short lived Bearer token from an API key
    AuthTokenResponse:
      type: object
      properties:
        token:
          type: string
          description: Signed JWT Bearer token
          example: eyJhbGciOiJIUzI1NiJ9.eyJzdWIiOiJjN2Y4...
        expiresIn:
          type: integer
          description: Token lifetime in seconds
          format: int64
          example: 900
        tokenType:
          type: string
          description: Token type
          example: Bearer
      description: Short lived Bearer token issued from a valid API key
    ErrorResponse:
      type: object
      properties:
        timestamp:
          type: string
          description: |
            Date and time when the error occurs.

            Format: UTC time - yyyy-MM-dd'T'HH:mm:ss.SSS'Z'
          format: date-time
        status:
          type: integer
          description: Http status code
          format: int32
        message:
          type: string
          description: Information about the error
        errors:
          type: array
          description: List of specific validation errors
          items:
            $ref: '#/components/schemas/ValidationError'
    ValidationError:
      type: object
      properties:
        field:
          type: string
          description: Field in error
        rejectedValue:
          type: object
          description: Value in error
        message:
          type: string
          description: Description of the failed validation
      description: List of specific validation errors
  securitySchemes:
    Api key:
      type: apiKey
      description: Your API key.
      name: X-Api-Key
      in: header

````